Subject: Pls. can you assist me ??

From: Hilda Mupesa <[email-masked]>
Date: Thu, 28 Apr 2005 09:36:04 GMT

From: Mrs.Hilda N.Mupesa
Muzaraban-Zimbabwe.

Attn: Good Friend.

Forgive my indignation if this message comes to you as a surprise and 
may offend your personality for contacting you without your prior  
consent and writing through this channel.I got your contact from the  
proffesional database found in the internet when i was searching for a 
reliable foreigner who will assist me invest this fund.  After series 
of prayers/fasting. i was divinely directed to contact you among other 
names found in the database.I believe that God has a way of helping who